%{!?dist: %define dist .slc5}
Name: cern-config-users
Version: 1.1
Release: 0%{?dist}
Summary: '%{name}' creates user accounts, etc based on the LANdb information of the device
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: useraddcern
Requires: lpadmincern

%description 
'%{name}' creates user accounts, provides root access, add printers, ... 
based on the LANdb information of the device 

%prep
%setup -q

%build
pod2man cern-config-users > cern-config-users.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 cern-config-users $RPM_BUILD_ROOT/%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 cern-config-users.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/cern-config-users
%{_mandir}/man1/cern-config-users.1*


%changelog
* Tue Mar  1 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.1-0
- new option "--use-devicename" to be used on laptops

* Mon Jan 31 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.0-0
- restore SElinux context on /root/{.forward,.k5login}

* Mon Oct  4 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.2-1
- Better handling of network errors

* Mon Sep 27 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-1
- initial build
